Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.personalization
Class Item

`java.lang.Object
oracle.jsp.webutil.personalization.Item`

public class Item
extends java.lang.Object

Field Summary
`static java.lang.String` | `INT_DIM_NAVIGATION` Constant representing NAVIGATION Interest Dimension
`static java.lang.String` | `INT_DIM_PURCHASING` Constant representing PURCHASING Interest Dimension
`static java.lang.String` | `INT_DIM_RATING` Constant representing RATING Interest Dimension

Constructor Summary
`Item()` Empty constructor
`Item(java.lang.String type, long ID)` Construct Item from string and long <p/>
`Item(java.lang.String type, java.lang.String ID)` Construct Item from string attributes <p/>

Method Summary
`long` | `getID()` return Item ID <p/>
`float` | `getPrediction()` return Item's prediction.
`java.lang.String` | `getType()` return Item type <p/>
`boolean` | `isCategory()` return true iff item is a Category <p/>
`void` | `setCategory()` set Item type to "Category"
`void` | `setID(long id)` set Item ID <p/>
`void` | `setType(java.lang.String t)` set Item type <p/>

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INT_DIM_NAVIGATION

    public static final java.lang.String INT_DIM_NAVIGATION

  Constant representing NAVIGATION Interest Dimension
  See Also:
    Constant Field Values

### INT_DIM_PURCHASING

    public static final java.lang.String INT_DIM_PURCHASING

  Constant representing PURCHASING Interest Dimension
  See Also:
    Constant Field Values

### INT_DIM_RATING

    public static final java.lang.String INT_DIM_RATING

  Constant representing RATING Interest Dimension
  See Also:
    Constant Field Values

Constructor Detail

### Item

    public Item()

  Empty constructor

### Item

    public Item(java.lang.String type,
                java.lang.String ID)
         throws JspTagException

  Construct Item from string attributes <p/>
Parameters:
  `type` - item type
  `ID` - item ID

### Item

    public Item(java.lang.String type,
                long ID)

  Construct Item from string and long <p/>
Parameters:
  `type` - item type
  `ID` - item ID

Method Detail

### getType

    public java.lang.String getType()

  return Item type <p/>
  Returns:
    item type as string

### getID

    public long getID()

  return Item ID <p/>
  Returns:
    item ID as long integer

### getPrediction

    public float getPrediction()

  return Item's prediction. Applies to Items, returned by tags as recommnedations. <p/>
  Returns:
    prediction of how accurate the recommendation is (see documentation for details)

### isCategory

    public boolean isCategory()

  return true iff item is a Category <p/>
  Returns:
    true if item is a Category, false otherwise

### setType

    public void setType(java.lang.String t)

  set Item type <p/>

### setCategory

    public void setCategory()

  set Item type to "Category"

### setID

    public void setID(long id)

  set Item ID <p/>

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.